<!-- This is a comment in md (Markdown) format, it will not be visible to the end user -->

<!-- Update the below line with your Pre-Built name -->
# F5 Member Creation

<!-- Leave TOC intact unless you've added or removed headers -->
## Table of Contents

* [Overview](#overview)
  * [Operations Manager and JSON-Form](#operations-manager-and-json-form)
* [Installation Prerequisites](#installation-prerequisites)
* [Requirements](#requirements)
* [Features](#features)
* [How to Install](#how-to-install)
* [How to Run](#how-to-run)
  * [Input Variables](#input-variables)
* [Additional Information](#additional-information)

## Overview

This Pre-Built uses the [Ansible Big IP Pool Member](https://docs.ansible.com/ansible/latest/collections/f5networks/f5_modules/bigip_pool_member_module.html) module to configure an F5 BigIP Load Balancer to create Pool Members.

## Operations Manager and JSON-Form

This workflow has an [Operations Manager item](./bundles/ac_agenda_jobs/F5%20Member%20Creation.json) that calls a workflow. The Operations Manager item uses a JSON-Form to specify common fields populated when a pool member is added. The workflow the Operations Manager item calls queries data from the formData job variable.

<table>
  <tr>
    <td>
      <img src="./images/f5_member_mgmt_ac_form.png" alt="form" width="800px">
    </td>
  </tr>
  <tr>
    <td>
      <img src="./images/f5_member_mgmt_canvas.png" alt="form" width="800px">
    </td>
  </tr>
</table>


## Installation Prerequisites

Users must satisfy the following pre-requisites:

* Itential Automation Platform
  * `^2022.1`
* Itential Automation Gateway

## Requirements

This Pre-Built requires the following:

* IAG Adapter Configured
* Existing F5 Pool
* F5 BigIP Load Balancer on-boarded in Ansible

## Features

The main benefits and features of the Pre-Built are outlined below.

* Allows user to create one or multiple members to add to an existing F5 Pool leveraging a simple form 
* Leverages F5 Ansible modules

## How to Install

To install the Pre-Built:

* Verify you are running a supported version of the Itential Automation Platform (IAP) as listed above in the [Requirements](#requirements) section in order to install the Pre-Built. 
* The Pre-Built can be installed from within App-Admin_Essential. Simply search for the name of your desired Pre-Built and click the install button.

## How to Run

Use the following to run the Pre-Built:

* Run the Automation Catalog item `F5 Member Creation` or call [F5 Member Management](./bundles/workflows/F5%20Member%20Management.json) from your workflow as a child job.

### Input Variables
_Example_

```json
{
  "device": "Target F5 host",
  "pool": "Pool name",
  "poolMembers": [{
    "name": "Pool member name",
    "state": "Pool member state",
    "port": "Pool member port (integer)",
    "address": "Pool member IP address"
  }]
}
```


## Additional Information

Please use your Itential Customer Success account if you need support when using this Pre-Built.
